Bug 136127 - Crash: Add Protected PDF file on Photo Album
Summary: Crash: Add Protected PDF file on Photo Album
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords: bibisectNotNeeded, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2020-08-25 22:55 UTC by sawakaze
Modified: 2020-09-10 19:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["Bitmap::Bitmap"]


Attachments
Protected Pdf sample file (6.55 KB, application/pdf)
2020-08-25 22:56 UTC, sawakaze
Details
bt with debug symbols (2.38 KB, text/plain)
2020-08-26 09:17 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sawakaze 2020-08-25 22:55:31 UTC
Description:
On Photo Album, after I added pdf file(i.e.attachment file) with protected open password, application is crashed
detail is following step

Steps to Reproduce:
1. open impress
2. menu -> Insert -> Photo Album 
-> launch "Create Photo Album" window
3. press "Add" button
4. select protected .pdf file (i.e. attachment file) and open
5. press Insert Slides button.

Actual Results:
application crash 




Expected Results:
not application crash


Reproducible: Always


User Profile Reset: No



Additional Info:
I can confirm following version.

Version: 7.1.0.0.alpha0+
Build ID: 4d6aeea85c87c7b4ea3227d03982988d6e4c87c4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: ja-JP (ja_JP.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-08-23_02:37:39
Calc: threaded


------

I "can't" confirm following version.

Version: 6.2.3.0.0+
Build ID: 2358c867563731f56cefbf2a17818e69b15c2e66
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time: 2019-03-16_01:33:35
Locale: ja-JP (ja_JP.UTF-8); UI-Language: en-US
Calc: threaded
 
---

On version 7.0.0 crash report is following address

https://crashreport.libreoffice.org/stats/crash_details/513d4dfb-c863-4b87-a366-4a8ada090ba6
Comment 1 sawakaze 2020-08-25 22:56:44 UTC
Created attachment 164687 [details]
Protected Pdf sample file
Comment 2 sawakaze 2020-08-25 23:07:08 UTC
password as Attachment file is "libreoffice"
I created Libreoffice 7.0 writer.
Comment 3 sawakaze 2020-08-25 23:40:40 UTC
I can not confirm this version

Version: 6.4.6.1
Build ID: 985dd72ca280d5c6da2e9f90f7ff9286cafe7ff8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ja-JP (ja_JP.UTF-8); UI-Language: en-US
Calc: threaded

this bug seem on version 7.x.
Comment 4 Shinji Enoki 2020-08-26 00:34:48 UTC
I reproduced it with the following version.

Version: 7.1.0.0.alpha0+
Build ID: a06a83b29a9da770787bffe416b138102aa12531
CPU threads: 8; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: ja-JP (ja_JP.UTF-8); UI: ja-JP
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-08-24_01:03:26
Calc: threaded


>2. menu -> Insert -> Photo Album 

2. menu -> Insert -> Media -> Photo Album
Comment 6 Julien Nabet 2020-08-26 09:17:42 UTC
Created attachment 164704 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this. It confirms himajin100000's comment.
Comment 7 Julien Nabet 2020-08-26 09:27:01 UTC
I gave a try with https://gerrit.libreoffice.org/c/core/+/101393
Comment 8 BogdanB 2020-08-26 10:33:37 UTC
Confirm also on Windows

Version: 7.0.0.3 (x64)
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU threads: 4; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: ro-RO (ro_RO); UI: en-US
Calc: threaded
Comment 9 Commit Notification 2020-08-31 11:33:34 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f115a7e047e5f1b6067667adc50d60499cc3e27e

tdf#136127: crash when adding protected PDF file on Photo Album

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Julien Nabet 2020-08-31 11:42:48 UTC
Backport for 7.0 waiting for review here:
https://gerrit.libreoffice.org/c/core/+/101675
Comment 11 Xisco Faulí 2020-08-31 11:59:13 UTC
marking it as a regression
Comment 12 Commit Notification 2020-09-01 07:52:50 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/d2fb499310414cb2b8f635b9b7798177b60ab347

tdf#136127: crash when adding protected PDF file on Photo Album

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 BogdanB 2020-09-10 19:47:47 UTC
No crash in
Version: 7.1.0.0.alpha0+
Build ID: 63d4d3421fec5a4e9e88dcee2992cda38cc7452a
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-US (ro_RO.UTF-8); UI: en-US
Calc: threaded